# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'prct06/version'

Gem::Specification.new do |spec|
  spec.name          = "prct11_abian"
  spec.version       = Prct06::VERSION
  spec.authors       = ["alu0100887686"]
  spec.email         = ["alu0100887686@ull.edu.es"]

  spec.summary       = %q{Biblioteca para el uso y representación de Listas enlazadas y Dietas respectivamente, para ello se ha hecho uso de la metodología de pruebas TDD  }
  spec.description   = %q{La clase Diet está compuesta por una seria de atributos que representan: el contenido en grasas de esta, así como el valor calorífico, o hidratos de carbono. Por otro lado, mediante la clase LinkedList podemos eliminar e insertar elementos, tanto por el principio como por el final}
  spec.homepage      = "https://github.com/ULL-ESIT-LPP-1617/tdd-menu-equipo_55.git"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
#  if spec.respond_to?(:metadata)
 #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
 # else
  # raise "RubyGems 2.0 or newer is required to protect against " \
   #   "public gem pushes."
 # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency "guard-bundler"
end
